# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.analytics
Class Engagement.Type

    java.lang.Object
      com.google.gdata.data.analytics.Engagement.Type

Enclosing class:
  Engagement

    public static final class Engagement.Type

extends java.lang.Object

Goal's threshold type.

Field Summary
`static java.lang.String` `PAGES_VISITED` PagesVisited engagement.
`static java.lang.String` `TIME_ON_SITE` TimeOnSite engagement.

Constructor Summary
`Engagement.Type()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PAGES_VISITED

    public static final java.lang.String PAGES_VISITED

  PagesVisited engagement.

  See Also:
    Constant Field Values

### TIME_ON_SITE

    public static final java.lang.String TIME_ON_SITE

  TimeOnSite engagement.

  See Also:
    Constant Field Values

Constructor Detail

### Engagement.Type

    public Engagement.Type()